import request from '@/utils/request'

// 查询装备顶驱列表
export function listJtzbDq(query) {
  return request({
    url: '/jtzb/jtzbDq/list',
    method: 'get',
    params: query
  })
}

// 查询装备顶驱详细
export function getJtzbDq(id) {
  return request({
    url: '/jtzb/jtzbDq/' + id,
    method: 'get'
  })
}

// 新增装备顶驱
export function addJtzbDq(data) {
  return request({
    url: '/jtzb/jtzbDq',
    method: 'post',
    data: data
  })
}

// 修改装备顶驱
export function updateJtzbDq(data) {
  return request({
    url: '/jtzb/jtzbDq',
    method: 'put',
    data: data
  })
}

// 删除装备顶驱
export function delJtzbDq(id) {
  return request({
    url: '/jtzb/jtzbDq/' + id,
    method: 'delete'
  })
}
